diff -Nau -X dontdiff linux-v2.00b11-hijack234/Makefile linux-v2.00b11-bt/Makefile
--- linux-v2.00b11-hijack234/Makefile	Fri Mar  8 18:58:12 2002
+++ linux-v2.00b11-bt/Makefile	Sun Mar 10 11:02:08 2002
@@ -268,6 +268,9 @@
 $(TOPDIR)/include/linux/version.h: include/linux/version.h
 $(TOPDIR)/include/linux/compile.h: include/linux/compile.h
 
+ftp:
+	- ./ftpempeg 
+
 newversion:
 	@if [ ! -f .version ]; then \
 		echo 1 > .version; \
@@ -484,3 +487,5 @@
 
 scripts/split-include: scripts/split-include.c
 	$(HOSTCC) $(HOSTCFLAGS) -o scripts/split-include scripts/split-include.c
+
+		
diff -Nau -X dontdiff linux-v2.00b11-hijack234/README.ftpempeg linux-v2.00b11-bt/README.ftpempeg
--- linux-v2.00b11-hijack234/README.ftpempeg	Wed Dec 31 19:00:00 1969
+++ linux-v2.00b11-bt/README.ftpempeg	Sun Mar 10 10:10:39 2002
@@ -0,0 +1,16 @@
+
+ftpempeg is an expect script that automates the ftp kernel install process.
+
+It will need editing to change the host and password definitions to match that
+of your empeg.
+
+Once this is done, usage is simple:
+
+#> ./ftpempeg
+
+Alternatively, it is also set up as a Make target:\
+
+#> make ftp
+
+
+genixia.
diff -Nau -X dontdiff linux-v2.00b11-hijack234/ftpempeg linux-v2.00b11-bt/ftpempeg
--- linux-v2.00b11-hijack234/ftpempeg	Wed Dec 31 19:00:00 1969
+++ linux-v2.00b11-bt/ftpempeg	Sun Mar 10 11:03:09 2002
@@ -0,0 +1,45 @@
+#!/usr/bin/expect -f 
+
+exp_internal 0
+
+# host can be DNS or numeric IP
+set host "empeg"
+# password is set in the empegs config.ini file.
+# It is blank unless set.
+set pass "genixia"
+set file "arch/arm/boot/zImage"
+
+log_user 1
+set timeout 5
+
+
+while {1} {
+  spawn ftp $host
+  expect {
+  			"Name" 		{}
+			"Unknown host"	{ send_user "Did you edit the 'host' value in ftpempeg?\n";exit }
+  			timeout	 	{ send_user "Timeout connecting to empeg.\n";exit} 
+  }
+  
+  # empegs don't care about username. Anything will do here.
+  send "anonymous\r"
+  expect "Password:"
+  send "$pass\r"
+  expect  {
+  			"Login failed." { send_user "Incorrect password. Did you edit the 'pass' value in ftpempeg?\n"; send "quit\r";close;wait;exit } \
+	  		"ftp> " break
+  }
+			
+}
+set timeout 30
+send "bin\r"
+expect "ftp> "
+send "put $file /proc/empeg_kernel\r"
+expect {
+		timeout						{ send_user "Did your empeg get disconnected? Download failed\n"; send "bye\r";close;wait }  
+		"150 Opening data connection." 			{ send_user "Please wait. This should take about 15 seconds.\n"}
+}
+expect	{
+		"226 Okay."  					{ send_user "Kernel Download succeeded.\n"; send "bye\r" ;close ;wait} 
+      	timeout  	 					{ send_user "*** FAILED - Kernel Download - FAILED *** \n"; send "bye\r";close;wait}
+}
